2000-11-08  Jan van Male  <jan.vanmale@fenk.wau.nl>
	    Gerald Pfeifer  <pfeifer@dbai.tuwien.ac.at>

	* README: Fix typo. Remove incorrect reference to Cygnus.

2000-08-22  Geoff Berry  <geoffb@bops.com>

	* bitset (bitset::_M_is_any): Don't use __BITSET_WORDS macro
	on _Nw since _Nw is already the number of words in the bitset.

2000-07-10  Martin v. Löwis (loewis@informatik.hu-berlin.de)

	* stl_function.h (bind1st, bind2nd): Rename __opr to __oper, 
	as __opr is used internally by egcs.
	* stl_numeric.h (__power, power): Likewise.

2000-07-10  Alexandre Oliva  <oliva@dcc.unicamp.br>
	
	* stl_algo.h (transform): Rename __opr to __oper, as __opr is used 
	internally by egcs.
	Reported by Harri Porten <porten@tu-harburg.de>
	
2000-01-19  Gabriel Dos Reis  <dosreis@cmla.ens-cachan.fr>

	* stl_iterator.h: Make it possible to use standard class
	`iterator'. 

1999-12-14  Mumit Khan  <khan@xraylith.wisc.edu>

	* stl_config.h (__MINGW32__): Define __STL_WIN32THREADS for thread
	safe runtime.

1999-11-10  Benjamin Kosnik  <bkoz@haight.constant.com>
            Matthias Klose  <doko@cs.tu-berlin.de>

	* stl_rope.h: Fix initialization order.
	* stl_deque.h: Use static_casts<size_type>(signed_type).

1999-11-06  Martin v. Löwis  <loewis@informatik.hu-berlin.de>

	* bitset (class bitset): Declare reference as our friend.
	* bitset: Include limits.h.

1999-08-08  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* pthread_alloc: Solaris' ctype.h defines _U to 01; use _Up as
	template parameter instead.

1999-06-18  Martin von Löwis  <loewis@informatik.hu-berlin.de>

	* stl_queue.h: Rename _M_c to c, and _M_comp to comp.

1999-05-17  Mark Kettenis  <kettenis@gnu.org>

	* stl_config.h: Only define __STL_PTHREADS with GLIBC >= 2 for
	Linux.

Mon May 17 03:33:47 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* stl_config.h (__CYGWIN__): Cygwin newlib RTL lacks drand48.

1999-05-07  Ulrich Drepper  <drepper@cygnus.com>

	* stl_alloc.h: Make it possible to compile with __USE_MALLOC.

Tue Apr 13 00:32:57 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* stl_config.h (__MINGW32__): Mingw32 RTL lacks drand48.

Sun Apr 11 23:48:30 1999  Jeffrey A Law  (law@cygnus.com)

	* bitset: Re-install Alexandre's lost patch from 1998-11-27.

1999-01-20  Ulrich Drepper  <drepper@cygnus.com>

	* stl_construct.h (__destroy_aux): Use != instead of < for
	ForwardIterator comparison.
	Patch by jmaurer@menuett.rhein-main.de (Jens Maurer).

1999-01-20  Mark Mitchell  <mark@markmitchell.com>

	* stl_config.h (__STL_USE_NAMESPACES): Define.

1998-11-27  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* bitset: Explicitly convert basic_string<...>::npos to size_t in
	default argument to constructor, to avoid parse error at `>'.
	(__STL_EXPLICIT_FUNCTION_TMPL_ARGS): Replace #if with #ifdef.

1998-11-01  Mark Mitchell  <mark@markmitchell.com>

	* stl_alloc.h (default_alloc_template::_S_free_list): Don't
	qualify _NFREELISTS.

1998-10-11  Mark Mitchell  <mark@markmitchell.com>

	* stl_config.h (__SGI_STL_USE_AUTO_PTR_CONVERSIONS): Define.
	* memory (auto_ptr::operator auto_ptr_ref<_Tp1>): Fix typo.
	(auto_ptr::operator auto_ptr<_Tp1>): Add missing
	semicolon.

1998-09-03  Jason Merrill  <jason@yorick.cygnus.com>

	* stl_config.h: Define __STL_HAS_WCHAR_T,
	__STL_MEMBER_TEMPLATE_CLASSES, __STL_HAS_NAMESPACES,
	__STL_NO_NAMESPACES and __STL_LONG_LONG.

1998-09-02  Jason Merrill  <jason@yorick.cygnus.com>

	* algorithm alloc.h defalloc.h hash_map.h hash_set.h iterator
	memory pthread_alloc pthread_alloc.h rope ropeimpl.h stl_algo.h
	stl_algobase.h stl_alloc.h stl_bvector.h stl_config.h
	stl_construct.h stl_deque.h stl_function.h stl_hash_fun.h
	stl_hash_map.h stl_hash_set.h stl_hashtable.h stl_heap.h
	stl_iterator.h stl_list.h stl_map.h stl_multimap.h stl_multiset.h
	stl_numeric.h stl_pair.h stl_queue.h stl_raw_storage_iter.h
	stl_relops.h stl_rope.h stl_set.h stl_slist.h stl_stack.h
	stl_tempbuf.h stl_tree.h stl_uninitialized.h stl_vector.h
	tempbuf.h type_traits.h: Update to SGI STL 3.11.

Fri Jul 10 15:20:09 1998  Klaus-Georg Adams <Klaus-Georg.Adams@chemie.uni-karlsruhe.de>

	* stl_tempbuf.h (temporary_buffer): Add missing typename.
	* type_traits.h: update comments.

Sun Jun 28 00:49:42 1998  Jeffrey A Law  (law@cygnus.com)

	* stl_config.h (__STL_PTHREADS): Don't define for glibc 2 if
	_G_USING_THUNKS is not defined.

1998-04-07 18:32  Ulrich Drepper  <drepper@cygnus.com>

	* stl_hashtable.h (__stl_prime_list): Mark last two numbers as
	unsigned long since they are otherwise too large for long int on
	32bit machines.

Fri Feb 20 16:15:05 1998  H.J. Lu  (hjl@gnu.org)
			  Jason Merrill  <jason@yorick.cygnus.com>

	* ropeimpl.h: Check __STL_PTHREADS instead of _PTHREADS.
	* stl_alloc.h: Ditto.
	* stl_config.h: Ditto.
	* stl_rope.h: Ditto.

	* stl_config.h: include <_G_config.h> if __GNUG__ is defined.
	(__STL_PTHREADS): Defined if _PTHREADS is defined or
	__GLIBC__ >= 2.

Tue Jan 27 12:01:25 1998  Jason Merrill  <jason@yorick.cygnus.com>

	* stl_algo.h (__lg): Fix for n == 0.

Sat Nov  8 00:45:17 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* stl_hash_set.h (swap): Fix typo.

Fri Nov  7 10:27:40 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* stl_hashtable.h: Fix typo.

Thu Nov  6 11:19:09 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* stl_algo.h, stl_algobase.h, stl_bvector.h,
 	stl_deque.h: Update to October 28 SGI release.

Sun Nov  2 12:14:56 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* algo.h, algobase.h, alloc.h, bvector.h, defalloc.h, deque.h,
 	function.h, hash_map.h, hash_set.h, hashtable.h, heap.h, iterator.h,
 	list.h, map.h, multimap.h, multiset.h, pair.h, pthread_alloc.h,
 	rope.h, ropeimpl.h, set.h, slist.h, stack.h, stl_config.h, tempbuf.h,
 	tree.h, type_traits.h, vector.h: Update to October 27 SGI snapshot.
	* algorithm, deque, functional, hash_map, hash_set, iterator, list,
 	map, memory, numeric, pthread_alloc, queue, rope, set, slist, stack,
 	stl_algo.h, stl_algobase.h, stl_alloc.h, stl_bvector.h,
 	stl_construct.h, stl_deque.h, stl_function.h, stl_hash_fun.h,
 	stl_hash_map.h, stl_hash_set.h, stl_hashtable.h, stl_heap.h,
 	stl_iterator.h, stl_list.h, stl_map.h, stl_multimap.h, stl_multiset.h,
 	stl_numeric.h, stl_pair.h, stl_queue.h, stl_raw_storage_iter.h,
 	stl_relops.h, stl_rope.h, stl_set.h, stl_slist.h, stl_stack.h,
 	stl_tempbuf.h, stl_tree.h, stl_uninitialized.h, stl_vector.h,
 	utility, vector: New files in October 27 SGI snapshot.

Fri Oct 17 19:07:42 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* tree.h, vector.h: Fix accidental divergence from SGI release.

Tue Sep  9 19:47:28 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* algo.h, algobase.h, alloc.h, bvector.h, deque.h, hashtable.h,
	iterator.h, list.h, rope.h, ropeimpl.h, slist.h, stl_config.h,
	tree.h, vector.h: Update To September 8 SGI release.

Tue Sep  9 17:38:47 1997  Mark Mitchell  <mmitchell@usa.net>

	* stl_config.h (__STL_MEMBER_TEMPLATES): Enable.

Tue Aug  5 17:06:01 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* deque.h, function.h, hashtable.h, list.h, rope.h, ropeimpl.h,
	tree.h:  Update to July 31 SGI release.

Fri Jul 18 10:06:56 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* algo.h, defalloc.h, hashtable.h, rope.h, ropeimpl.h, slist.h:
	Update to June 30 SGI release.

Fri Jul 04 02:17:15 1997  Ulrich Drepper  <drepper@cygnus.com>

	* tree.h (rb_tree): Reverse order of member initializations
	to prevent warnings.

Sun Jun 15 18:17:21 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* *.h: Update to 6/13 SGI release.

Fri May 23 10:56:18 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* stl_config.h: Add support for exceptions with g++.

	* *.h: Update to 5/8 SGI release.

Thu Apr 24 19:00:23 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* *.h: Update to 3/24 SGI release.

Wed Feb 19 18:19:18 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* *.h: Update to 2/18 SGI release.

	* bool.h: Lose.

Mon Feb 10 16:33:23 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* alloc.h: Don't define __USE_MALLOC for g++.
	* bool.h: Lose g++ case.

	* *.h: Update to 2/4 SGI release.

Mon Jan 13 14:39:16 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* *.h: Update to 1/8 SGI release.

Mon Sep 30 17:56:43 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* alloc.h (__unlock): Never use __lock_release.

Fri Sep 27 19:03:06 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* alloc.h (__default_alloc_template): lock is a friend.

Thu Sep 19 20:10:37 1996  Jason Merrill  <jason@yorick.cygnus.com>

	Propagate these changes to new STL code:
	* tree.h: Rearrange member initializers in rb_tree constructors.
	* vector.h (insert): Cast iterator difference to size_type to
        avoid warning.

	* *.h: Update to SGI snapshot (fixed).
	* *.c, Makefile.in, configure.in: Removed.

Sat Sep 14 09:43:06 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* deque.h, list.h, tree.h: Remove kludge obsoleted by new
 	overloading code.

Sat Aug 10 14:59:50 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* tempbuf.cc (__stl_temp_buffer): Align like a pointer.

Wed Jun 26 13:00:44 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* iterator.h: Add default template parameters.

Wed Apr 24 10:45:22 1996  Doug Evans  <dje@blues.cygnus.com>

	* Makefile.in (tempbuf.o,random.o): Add rules for SunOS VPATH.

Fri Apr  5 17:52:31 1996  Per Bothner  <bothner@kalessin.cygnus.com>

	* configure.in (EXTRA_MOSTLYCLEAN):  New, to remove stl.list.

Fri Mar 22 14:58:30 1996  Jason Merrill  <jason@yorick.cygnus.com>

	Propagate these changes to new STL code:
	* tree.h: Rearrange member initializers in rb_tree constructors.
	* vector.h (insert): Cast iterator difference to size_type to
        avoid warning.

Sun Mar 10 07:49:03 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* deque.h (distance_type): Add overload for g++.
	From Joe Buck.

Thu Feb 22 14:07:12 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* bool.h: Revert.
	* algo.h bvector.h deque.h function.h iterator.h list.h
	pair.h stack.h tree.h vector.h: Wrap #include <bool.h> with
	#ifndef __GNUG__.
	* defalloc.h list.h deque.h tree.h: Use __GNUG__ to control
	workarounds.

Wed Feb 21 17:13:02 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* bool.h (TRUE, FALSE): Define for people expecting the bool.h
 	from libg++.  Is this a good idea?

Tue Feb 20 18:40:02 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* algo.h bool.h bvector.h defalloc.h deque.h function.h heap.h
 	iterator.h list.h map.h pair.h random.cc stack.h tree.c tree.h
 	vector.h: Revert to HP release with workarounds for missing
 	overloading functionality.
	* Makefile.in (STL_OBJECTS): Remove tree.o.

Thu Nov  9 17:05:23 1995  Jason Merrill  <jason@yorick.cygnus.com>

	* algo.h algobase.h bvector.h defalloc.h deque.h function.h heap.h
 	iterator.h list.h map.h multimap.h multiset.h pair.h projectn.h
 	set.h stack.h tempbuf.h tree.h vector.h: Wrap #include <bool.h>
 	with #ifndef __GNUG__.

Thu Nov  2 17:05:44 1995  Jason Merrill  <jason@yorick.cygnus.com>

	* deque.h (deque<T>::insert): Fix merge typo.
	* vector.h (value_type): Lose.

Thu Nov  2 14:33:47 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* algo.h, algobase.h, deque.h, function.h, list.h, pair.h, random.cc:
	Merge in Oct 31 1995 release from HP.

Fri Aug 11 17:11:12 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* list.h: Avoid duplicate construction and destruction of list_nodes.
	Patch from Klamer Schutte <klamer@ph.tn.tudelft.nl>.

Fri Aug 11 16:45:18 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* algo.h, algobase.h, deque.h:  Merged in Jul 12 1995 release from HP.

Mon Jun  5 18:38:56 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* Makefile.in (stl.list): Depend on stamp-picdir.

Wed May 17 02:30:47 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* tree.h: Rearrange member initializers in rb_tree constructors.

	* Update to HP's February 7, 1995 release.

Fri May  5 10:45:31 1995  Mike Stump  <mrs@cygnus.com>

	* random.cc (seed): Move `for' decl out of `for' statement.

Wed Apr 26 13:09:16 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* configure.in (XCXXINCLUDES): Rename.

Wed Mar 29 19:24:56 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* tree.h (insert): Return a value.

	* vector.h (insert): Cast iterator difference to size_type to
        avoid warning.

Sun Feb 12 09:12:17 1995  Mike Stump  <mrs@cygnus.com>

	* tree.h (rb_tree::max_size): Add definition when using GNU
	workaround.

Thu Jan 12 01:37:42 1995  deanm@medulla.LABS.TEK.COM (Dean Messing)

	* configure.in (LIBDIR): Set to yes.

Fri Dec 30 18:26:20 1994  Mike Stump  <mrs@cygnus.com>

	* iterator.h: Add default template parameters where possible.

Fri Dec 30 16:29:39 1994  Mike Stump  <mrs@cygnus.com>

	* algo.h: Change rand to __rand to fix make check on linux systems.

Tue Nov 29 15:30:30 1994  Per Bothner  <bothner@kalessin.cygnus.com>

	* Initial check-in, based on HP's October 21, 1994.
